<?php
/*********************************************************
程序名称：站长助手 WEBMASTER HELPER
作者：feixin
email:kusite@etang.com
版权：feixin (http://www.zc18.com)
//////////////////////////////////////////////////////////

最后编辑日期：2003-6-12
*********************************************************/

if (!defined('IN_WH')) {
  die("不要黑我啊");
}

$tmpdir_name = $WHuds->safecheck($WHuds->root . WH_SLASH . $WHuds->dir_name . WH_SLASH . $newdir_name);

if(!is_dir($tmpdir_name))
{

	$result = @mkdir($tmpdir_name, $newdir_perm);

	if($result){ $WH->message("新建目录{$newdir_name}成功！", "index.php?dir=$dir");}
	else{ $WH->message("新建目录{$newdir_name}失败，可能不够权限执行此操作！", "index.php?dir=$dir");}
}
else
{
	$WH->message("已经存在此目录，返回！", "index.php?dir=$dir");
}

?>